/******************************************************************************
 * JBoss, a division of Red Hat                                               *
 * Copyright 2006, Red Hat Middleware, LLC, and individual                    *
 * contributors as indicated by the @authors tag. See the                     *
 * copyright.txt in the distribution for a full listing of                    *
 * individual contributors.                                                   *
 *                                                                            *
 * This is free software; you can redistribute it and/or modify it            *
 * under the terms of the GNU Lesser General Public License as                *
 * published by the Free Software Foundation; either version 2.1 of           *
 * the License, or (at your option) any later version.                        *
 *                                                                            *
 * This software is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU           *
 * Lesser General Public License for more details.                            *
 *                                                                            *
 * You should have received a copy of the GNU Lesser General Public           *
 * License along with this software; if not, write to the Free                *
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA         *
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.                   *
 ******************************************************************************/
package org.gatein.pc.portlet.support.info;

import org.gatein.pc.api.info.PreferenceInfo;
import org.gatein.pc.api.info.PreferencesInfo;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/**
 * @author <a href="mailto:julien@jboss.org">Julien Viet</a>
 * @version $Revision: 5448 $
 */
public class PreferencesInfoSupport implements PreferencesInfo
{

   private final Map preferences;

   public PreferencesInfoSupport(Map preferences)
   {
      this.preferences = preferences;
   }

   public PreferencesInfoSupport()
   {
      this(new HashMap());
   }

   public Set getKeys()
   {
      return preferences.keySet();
   }

   public PreferenceInfo getPreference(String key) throws IllegalArgumentException
   {
      return (PreferenceInfo)preferences.get(key);
   }

   public void addPreference(PreferenceInfoSupport preference)
   {
      preferences.put(preference.getKey(), preference);
   }

   public void addPreference(String key)
   {
      preferences.put(key, new PreferenceInfoSupport(key));
   }

   public void addPreference(String key, Boolean readOnly)
   {
      preferences.put(key, new PreferenceInfoSupport(key, readOnly));
   }
}
